# MineClone2 Furniture and decorations mod [mcl_decor] (W.I.P.)
Adds more decoration and furniture blocks to MineClone 2 (5)

[![ContentDB](https://content.minetest.net/packages/rudzik8/mcl_decor/shields/downloads/)](https://content.minetest.net/packages/rudzik8/mcl_decor/)

![Screenshot](screenshot_big.png "Screenshot")

## Blocks

### Armchairs
Armchairs are 1x1 size blocks, on which you can sit by right-click! Uses wool and sticks for crafting. 16 colors available!

**Screenshot:**

![Screenshot](https://i.ibb.co/fNXWDQh/screenshot-20220324-135852.png "16 armchairs")

**Craft (has mirrored variant too):**

![Screenshot](https://i.ibb.co/3YhDML4/Webp-net-gifmaker-2.gif "Crafting")

### Chairs
Chairs are small blocks made out of wood, on which you can sit by right-click! Uses sticks and wood planks for crafting. 6 *(+2 with MCL5)* types available!

**Screenshot:**

![Screenshot](https://i.ibb.co/rcG3D0N/screenshot-20220324-141118.png "6 chairs")

**Craft (has mirrored variant too):**

![Screenshot](https://i.ibb.co/dJ84rPT/Webp-net-gifmaker-3.gif "Crafting")

### Tables
This mod has 2 types of tables: Regular Table (4 small legs in one block) and Slab Table (1 leg in one block, can be expanded by using wood slabs and more slab tables).
Regular Tables are 1x1 size blocks made out of wood. Slab tables are 1x1 size blocks made out of wood too, but they look like if wood slab was combined with wood fence in one block.
Every table uses sticks and wood planks for crafting.

**Screenshot:**

![Screenshot](https://i.ibb.co/6D6xv4d/screenshot-20220324-143209.png "12 various tables")

**Craft:**

![Screenshot](https://i.ibb.co/rcNTLTC/Webp-net-gifmaker-5.gif "Crafting (regular ones)")

### Dyed Planks
Dyed planks are 1x1 size blocks, acting like any other wood planks. Uses dye and any wood plank for crafting. 16 colors available!

**Screenshot:**

![Screenshot](https://i.ibb.co/dWFC1R6/screenshot-20220324-150234.png "16 dyed planks")

**Craft (shapeless):**

![Screenshot](https://i.ibb.co/PQrJWt7/Webp-net-gifmaker-6.gif "Crafting")

### Paths
This mod has 7 types of them: Gravel, Cobblestone, Stone, Granite, Andesite, Diorite and Netherrack paths.
Paths are nearly carpet size blocks, on which you can walk. Uses corresponding for its' type material for crafting.

**Screenshot:**

![Screenshot](https://i.ibb.co/kgqwhW2/screenshot-20220324-155134.png "7 paths")

**Craft:**

![Screenshot](https://i.ibb.co/G53JJhG/Webp-net-gifmaker-7.gif "Crafting")

### Coalquartz Tile
Coalquartz tile is 1x1 size block, that looks and acts like coal and quartz blocks were combined. Uses coal and quartz items for crafting. Has slab and stair variants too!

**Screenshot:**

![Screenshot](https://i.ibb.co/j6hwy4J/screenshot-20220324-161814.png "Coalquartz slab, blocks and stair")

**Craft (has mirrored variant too):**

![Screenshot](https://i.ibb.co/Nrvy89T/screenshot-20220324-161942.png "Crafting")

### Table Lamp
Table lamp is 1x1 size block, that emits light. Uses wool, stone and torch for crafting.

**Screenshot:**

![Screenshot](https://i.ibb.co/sRJy8DF/screenshot-20220324-163824.png "Table lamp on a birch table")

**Craft:**

![Screenshot](https://i.ibb.co/LrJq4vg/screenshot-20220324-165553.png "Crafting")

### Curtains
Curtains are "wallmounted" blocks, which you can open or close by right-click! Uses wool, sticks and iron ingots for crafting. 16 colors available!

**Screenshot:**

![Screenshot](https://i.ibb.co/PxHScLG/Webp-net-gifmaker-8.gif "16 curtains, placed on glass")

**Craft:**

![Screenshot](https://i.ibb.co/Z1yfSvP/Webp-net-gifmaker-9.gif "Crafting")



## Contributing (how can I help?)

### Translate the mod
Just fork this repo, copy "template.txt" and paste as "mcl_decor.XX.tr", where XX is your 2-letter language code (for example, "de" for German/**De**utsch). After that, you can open that file and translate strings to your language.
After the work is done you need to create a pull request, and if it has no problems - I'll merge it!

### Report bugs
Yes! Via "Issues" tab in this repo. I can't fix everything though, but if you found something in my mod that looks like a bug - report it.

### Share mod with friends and make reviews!
On ContentDB of course. Reviews can motivate me to continue updating this mod!

### Help me with the code
I'm not a very good coder, more like a novice (combining practice and theory at once), so if you can - please, fix some bugs or maybe even add something via pull requests!

**Thanks.**



## License
Code licensed under GPLv3, see LICENSE file for details.
Media licensed under CC-BY-SA 4.0, see [this deed](https://creativecommons.org/licenses/by-sa/4.0/) for details.



## Credits
**For assets:**
- [Coalquartz Tile texture](textures/mcl_decor_coalquartz_tile.png) uses [coal block](https://git.minetest.land/MineClone2/MineClone2/src/branch/master/mods/ITEMS/mcl_core/textures/default_coal_block.png) and [quartz block](https://git.minetest.land/MineClone2/MineClone2/src/branch/master/mods/ITEMS/mcl_nether/textures/mcl_nether_quartz_block_side.png) textures under [CC-BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/) by [XSSheep](https://github.com/XSSheep) (combined)
- [Dyed planks template texture](textures/mcl_decor_dyed_planks.png) uses [oak planks](https://git.minetest.land/MineClone2/MineClone2/src/branch/master/mods/ITEMS/mcl_core/textures/default_wood.png) texture under [CC-BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/) by [XSSheep](https://github.com/XSSheep) (desaturated and lighted up a bit from original)
- [Table Lamp top texture](textures/mcl_decor_table_lamp.png) uses [grey wool](https://git.minetest.land/MineClone2/MineClone2/src/branch/master/mods/ITEMS/mcl_wool/textures/wool_grey.png) texture under [CC-BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/) by [XSSheep](https://github.com/XSSheep) (resized from original)
- [Table Lamp bottom texture](textures/mcl_decor_table_lamp_bottom.png) uses [grey wool](https://git.minetest.land/MineClone2/MineClone2/src/branch/master/mods/ITEMS/mcl_wool/textures/wool_grey.png) texture under [CC-BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/) by [XSSheep](https://github.com/XSSheep) (resized and partly darkened up from original)
- [Table Lamp side texture](textures/mcl_decor_table_lamp_side.png) uses [grey wool](https://git.minetest.land/MineClone2/MineClone2/src/branch/master/mods/ITEMS/mcl_wool/textures/wool_grey.png) and [oak tree](https://git.minetest.land/MineClone2/MineClone2/src/branch/master/mods/ITEMS/mcl_core/textures/default_tree.png) textures under [CC-BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/) by [XSSheep](https://github.com/XSSheep) (combined)
- [Curtains overlay texture](textures/mcl_decor_curtain_overlay.png) uses [top iron pane](https://git.minetest.land/MineClone2/MineClone2/src/branch/master/mods/ITEMS/xpanes/textures/xpanes_top_iron.png) texture under [CC-BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/) by [XSSheep](https://github.com/XSSheep) (resized)

**For code:**
- Sitting function (in api.lua) uses code from [ts_furniture mod](https://content.minetest.net/packages/Thomas-S/ts_furniture/) under [MIT](https://spdx.org/licenses/MIT.html) by [Thomas-S](https://content.minetest.net/users/Thomas-S/)
- *Currently* unused ’on_place’ function for curtains (in api.lua) uses code from [mcl_signs mod](https://git.minetest.land/MineClone2/MineClone2/src/branch/master/mods/ITEMS/mcl_signs/init.lua#L308) from MineClone 2 under under [MIT](https://spdx.org/licenses/MIT.html) by [PilzAdam](https://github.com/PilzAdam) and [contributors](https://git.minetest.land/MineClone2/MineClone2/commits/branch/master/mods/ITEMS/mcl_signs)

**Misc:**
- [Homedecor modpack](https://content.minetest.net/packages/VanessaE/homedecor_modpack/) and [xdecor](https://content.minetest.net/packages/jp/xdecor) mods were inspiration for me partly. Thanks to [VanessaE](https://content.minetest.net/users/VanessaE/) and [jp](https://content.minetest.net/users/jp/) for them!
